<template>
  <div>
    <div v-if="loading" class="mt-5 text-center">
      <h3>Loading...</h3>
    </div>
    <div v-else class="container mt-5">
      <PieChart :posts="posts"></PieChart>
      <FilterSidebar :posts="posts"></FilterSidebar>
    </div>
  </div>
</template>

<script>
import FilterSidebar from '@/components/FilterSidebar.component.vue'
import PieChart from '@/components/PieChart.component.vue'

import JSONposts from '../../public/posts_data.json'

export default {
  name: 'HomeView',
  components: {
    PieChart,
    FilterSidebar
  },
  data () {
    return {
      loading: true,
      posts: []
    }
  },
  methods: {
    async loadData () {
      this.loading = true

      // axios
      setTimeout(() => {
        this.posts = JSONposts
        this.loading = false
      }, 500)
    }
  },
  created () {
    this.loadData()
  }
}
</script>
